> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Store Event By Id

> Update store event by id



## OpenAPI

````yaml patch /stores/{store_id}/events/{event_id}
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /stores/{store_id}/events/{event_id}:
    patch:
      tags:
        - stores
      summary: Update Store Event By Id
      description: Update store event by id
      operationId: update_store_event_by_id_stores__store_id__events__event_id__patch
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: string
            title: Event Id
      requestBody:
        content:
          multipart/form-data:
            schema:
              allOf:
                - $ref: >-
                    #/components/schemas/Body_update_store_event_by_id_stores__store_id__events__event_id__patch
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventGetResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_update_store_event_by_id_stores__store_id__events__event_id__patch:
      properties:
        main_picture:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: Main Picture
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        price:
          anyOf:
            - type: string
            - type: 'null'
          title: Price
        event_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type
        is_active:
          anyOf:
            - type: string
            - type: 'null'
          title: Is Active
        discount_percent:
          anyOf:
            - type: string
            - type: 'null'
          title: Discount Percent
        duration:
          anyOf:
            - type: string
            - type: 'null'
          title: Duration
        participants_limit:
          anyOf:
            - type: string
            - type: 'null'
          title: Participants Limit
        short_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Short Desc
        detail_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Desc
        start_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Time
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        latitude:
          anyOf:
            - type: string
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: string
            - type: 'null'
          title: Longitude
      type: object
      title: Body_update_store_event_by_id_stores__store_id__events__event_id__patch
    EventGetResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        price:
          type: number
          title: Price
        platform_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Platform Price
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
        duration:
          type: integer
          title: Duration
        meeting_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Link
        meeting_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Password
        meeting_platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Platform
        event_type:
          type: string
          title: Event Type
        participants_limit:
          type: integer
          title: Participants Limit
        cover_picture_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cover Picture Url
        is_active:
          type: boolean
          title: Is Active
        store:
          $ref: '#/components/schemas/ProductUpcomingRoundStoreGetResponse'
        short_desc:
          type: string
          title: Short Desc
        detail_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Desc
        question_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Question Id
        location:
          anyOf:
            - $ref: '#/components/schemas/EventLocationGetResponse'
            - type: 'null'
        format_price:
          type: string
          title: Format Price
          readOnly: true
      type: object
      required:
        - id
        - name
        - price
        - start_time
        - duration
        - event_type
        - participants_limit
        - is_active
        - store
        - short_desc
        - format_price
      title: EventGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProductUpcomingRoundStoreGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        is_blogger:
          type: boolean
          title: Is Blogger
        seller_type:
          type: string
          title: Seller Type
          readOnly: true
      type: object
      required:
        - id
        - name
        - is_blogger
        - seller_type
      title: ProductUpcomingRoundStoreGetResponse
    EventLocationGetResponse:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        address:
          type: string
          title: Address
      type: object
      required:
        - address
      title: EventLocationGetResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````